### org.jfree.layouting.renderer.text

# Class TextUtility

- `java.lang.Object`
- - `org.jfree.layouting.renderer.text.TextUtility`

`public class TextUtility`
`extends java.lang.Object`

Creation-Date: 12.10.2006, 17:23:30

Author:
  Thomas Morgner

  ## Method Summary

  `static ExtendedBaselineInfo`

  `createBaselineInfo(int codepoint, FontMetrics fontMetrics)`

  `static int`

  `translateAlignmentBaseline(CSSValue baseline, int defaultValue)`

  `static int`

  `translateBaselines(int baseline)`

  `static int`

  `translateDominantBaseline(CSSValue baseline, int defaultValue)`

## Method Details

### createBaselineInfo

    public static ExtendedBaselineInfo createBaselineInfo(int codepoint,
                                                          FontMetrics fontMetrics)

### translateAlignmentBaseline

    public static int translateAlignmentBaseline(CSSValue baseline,
                                                 int defaultValue)

### translateBaselines

    public static int translateBaselines(int baseline)

### translateDominantBaseline

    public static int translateDominantBaseline(CSSValue baseline,
                                                int defaultValue)